Community
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Viewport - Add Vertex

Viewport - Add Vertex

Please add the capability to add vertices to existing rectangular viewports. This will help greatly during production efforts.

3 Comments
Bert_Douma
Contributor

If you have an existing rectangular viewport, you can redifine the contour of your viewport with the command 'vpclip'.

This command gives you the opportunity to define an new viewport contour, and later on, you can add and remove vertices like polylines.

If you don't have any viewport at all, you can also define the viewport by clicking an closed polyline or draw an polygonal viewport.

robert06
Collaborator

yes Douma, it's possible what you stated, but that's an extrra effort!

 

I customized this with a lisp, you would not need this every time, if adding extra vertexes would be enabled also for simple rectangular viewports.

 

(defun c:vxport (/ clay lay echo plw);; Viewport draw + clip + send to back
(command ".undo" "begin")
(setq
lay "VIEWPORT LAYER"
echo (getvar 'cmdecho)
clay (getvar 'clayer)
plw (getvar 'plinewid)
)
(cond ((= 1 (getvar 'tilemode)) (alert "Not on layout!"))
(t (
(setvar "cmdecho" 0)
(cond ((= 1 (getvar 'cvport)) ())
(t (command "pspace"))
)
(cond ((tblsearch "LAYER" lay) (command "-layer" "t" lay "on" lay "s" lay "") (command "vplayer" "th" lay "" ""))
(t(command "-layer" "n" lay "c" "255" lay "p" "n" lay "s" lay ""))) ;;layer properties for the viewport layer
(setvar "cmdecho" 1)
(setvar "plinewid" 0)
(command "pline" (while (not (zerop (getvar "cmdactive")))
(command pause)))
(setvar "cmdecho" 0)
(command "pedit" "l" "c" "")
(command "vpclip" pause "l")
(command "draworder" "l" "" "b")
(setvar "clayer" clay)
(setvar "plinewid" plw)
(setvar "cmdecho" echo)
)))
(command "undo" "end")
(princ)
)

sharhall
Contributor

if you create you viewport using the Object option you can edit it and add or delete vertices, if you just pick 2 random points you cannot, basically the feature is already there? I will draw my viewport as a polyline and select it as Object when i create the viewport.

 

MV MVIEW
Specify corner of viewport or [ON/OFF/Fit/Shadeplot/Lock/Object/Polygonal/Restore/LAyer/2/3/4] <Fit>: O

Can't find what you're looking for? Ask the community or share your knowledge.

Submit Idea  

Answer Day

Rail Community


Autodesk Design & Make Report